QTC(1)

NAME
qtc - template compiler (converter) for quicktemplate

SYNOPSIS
qtc [option...]

DESCRIPTION
The qtc tool converts quicktemplate files into Go code. By default these files have a .qtpl extension.

It can be called directly or via "go generate", with the latter being the preferred form.

OPTIONS

-dir string
    Path to the directory with template files to compile. Only files with -ext extension are compiled, see -ext option for details.

    The compiler recursively processes all the subdirectories. The compiled template files are placed near the original file with .go extension added.

    Default value ".".

-ext string
    Only files with this extension are compiled.

    Default "qtpl".

-file string
    Path to the template file to compile. Options -dir and -ext are ignored if file is set. The compiled template file will be placed near the original file with .go extension added.

-skipLineComments
    Do not write line comments.